Skip to main content
Topic: Anyone using a newer Mac OSX with OLS? (Read 6862 times) previous topic - next topic

Anyone using a newer Mac OSX with OLS?

I get the following error when I try to run any of the .dmg images of Jan Willem's OLS client:

"LogicSniffer.app" is damaged and can't be opened. You should move it to the Trash.

It's been several years since I used the OLS, but I need to get it running again on my new laptop running 10.8.5 Mountain Lion. I read about the 32-bit / 64-bit issues, so I marked the application's Info to "Open in 32-bit mode" but this did not help.

Is anyone running Mac OS X on a reasonably new Mac (mine is actually rather old, but newer than the last 32-bit machine where I successfully ran the OLS client)?

Is there another client besides JaWi's that will run on OSX?

Re: Anyone using a newer Mac OSX with OLS?

Reply #1
By the way, I tried downloading every .dmg on Jan's site, and they all have this problem going back to 0.9.6 - earlier versions can't even be downloaded because they're no longer at the linked URL.

I also tried contacting Jan Willem at the link provided on his web site, but that points to an invalid URL.

I'm hoping someone here is using the Mac with OLS.

Re: Anyone using a newer Mac OSX with OLS?

Reply #2
OSX 10.8 introduced a new security feature called Gatekeeper, which is enabled by default and prevents applications distributed outside of the Mac App Store from launching. There is a workaround for this by allowing applications to be installed from anywhere. You need to open "System Preferences > Security & Privacy" and set "Allow applications downloaded from: (on the General tab) to "Anywhere". After the application is run at least once, you can revert this change if desired.

Re: Anyone using a newer Mac OSX with OLS?

Reply #3
So does the software function on systems running OS X El Capitan?

Re: Anyone using a newer Mac OSX with OLS?

Reply #4
> So does the software function on systems running OS X El Capitan?

It would be trivial to download the program and try it.

Re: Anyone using a newer Mac OSX with OLS?

Reply #5
[quote author="dpropicweb"]> So does the software function on systems running OS X El Capitan?

It would be trivial to download the program and try it.[/quote]
Don't know how that would help unless you have the hardware and can tell if everything's nag works. My question was for someone that does.

Re: Anyone using a newer Mac OSX with OLS?

Reply #6
I just installed OLS on OS X El Capitan and it worked after enabling "Allow applications downloaded from" ..anywhere..
I hope this helps.
BR David

Re: Anyone using a newer Mac OSX with OLS?

Reply #7
This technique no longer works, there is no longer an option enabling applications from anywhere, only App Store & identified developers.  Running Sierra, 10.12.6.